Skip to main content
`Ctrl`+`K`

# MATSEQAIJCUSPARSE

MATAIJCUSPARSE = “(seq)aijcusparse” - A matrix type to be used for sparse matrices. A matrix type whose data resides on NVIDIA GPUs. These matrices can be in either CSR, ELL, or Hybrid format. All matrix calculations are performed on NVIDIA GPUs using the CuSPARSE library.

## Options Database Keys

- -mat_type aijcusparse - sets the matrix type to “seqaijcusparse” during a call to `MatSetFromOptions()`

- -mat_cusparse_storage_format csr - sets the storage format of matrices (for `MatMult()` and factors in `MatSolve()`). Other options include ell (ellpack) or hyb (hybrid).

- -mat_cusparse_mult_storage_format csr - sets the storage format of matrices (for `MatMult()`). Other options include ell (ellpack) or hyb (hybrid).

- -mat_cusparse_use_cpu_solve - Do `MatSolve()` on CPU

## See Also

Matrices, `Mat`, `MatCreateSeqAIJCUSPARSE()`, `MatCUSPARSESetUseCPUSolve()`, `MATAIJCUSPARSE`, `MatCreateAIJCUSPARSE()`, `MatCUSPARSESetFormat()`, `MatCUSPARSEStorageFormat`, `MatCUSPARSEFormatOperation`

## Level

beginner

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

## Examples

src/mat/tutorials/ex18.c
src/ksp/ksp/tutorials/ex79.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages